<div class="form-wrap">
  <form class="form" [formGroup]="loginForm" (ngSubmit)="onSubmit($event)">
    <div class="field">
      <div class="field-label">
        <span>Email</span>
      </div>
      <input type="email" name="email" formControlName="email" />
      <div
        class="error-wrap"
        *ngIf="loginForm.get('email')?.touched && loginForm.get('email')?.errors?.['required']"
      >
        <span> Email is required.</span>
      </div>
      <div
        *ngIf="loginForm.get('email')?.touched && loginForm.get('email')?.errors?.['email']"
        class="error-wrap"
      >
        <span> Email is not valid! </span>
      </div>
    </div>
    <div class="field">
      <div class="field-label">
        <span>Password</span>
      </div>
      <input type="password" name="password" formControlName="password" />
      <div
        class="error-wrap"
        *ngIf="loginForm.get('password')?.touched && loginForm.get('password')?.errors?.['required']"
      >
        <span>Password is required.</span>
      </div>
      <div
        *ngIf="loginForm.get('password')?.touched && loginForm.get('password')?.errors?.['minlength']"
        class="error-wrap"
      >
        <span>Password is too short!</span>
      </div>
    </div>
    <div class="submit-wrap">
      <button type="submit">Login</button>
    </div>
  </form>
</div>
